From cd03d3a8fc000782eb97293ed874c31973d7b64f Mon Sep 17 00:00:00 2001
From: Walter Doekes <walter+github@wjd.nu>
Date: Sun, 6 Sep 2015 11:25:25 +0200
Subject: [PATCH 08/15] Fix so Asterisk 1.8 compilation works again.

---
 channel.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/channel.c b/channel.c
index 7c978e6..1875748 100644
--- a/channel.c
+++ b/channel.c
@@ -1028,7 +1028,9 @@ static int channel_indicate (struct ast_channel* channel, int condition, const v
 		case AST_CONTROL_PROCEEDING:
 		case AST_CONTROL_VIDUPDATE:
 		case AST_CONTROL_SRCUPDATE:
-		case AST_CONTROL_PVT_CAUSE_CODE://33
+#if ASTERISK_VERSION_NUM >= 110000 /* 11+ */
+		case AST_CONTROL_PVT_CAUSE_CODE:
+#endif /* ^11+ */
 			break;
 
 		case AST_CONTROL_HOLD:

